﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using luizalabs_wishes_manager.Persistence;

namespace luizalabs_wishes_manager.Migrations
{
    [DbContext(typeof(AppContext))]
    [Migration("20190711235821_Wish")]
    partial class Wish
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("luizalabs_wishes_manager.Persistence.Product.Model.ProductEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Name")
                        .IsRequired();

                    b.HasKey("Id");

                    b.ToTable("ProductEntity");
                });

            modelBuilder.Entity("luizalabs_wishes_manager.Persistence.User.Model.UserEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Email")
                        .IsRequired();

                    b.Property<string>("Name")
                        .IsRequired();

                    b.HasKey("Id");

                    b.ToTable("UserEntity");
                });

            modelBuilder.Entity("luizalabs_wishes_manager.Persistence.Wish.Model.WishEntity", b =>
                {
                    b.Property<int>("ProductId");

                    b.Property<int>("UserId");

                    b.HasKey("ProductId", "UserId");

                    b.HasIndex("UserId");

                    b.ToTable("WishEntity");
                });

            modelBuilder.Entity("luizalabs_wishes_manager.Persistence.Wish.Model.WishEntity", b =>
                {
                    b.HasOne("luizalabs_wishes_manager.Persistence.Product.Model.ProductEntity", "Product")
                        .WithMany()
                        .HasForeignKey("ProductId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("luizalabs_wishes_manager.Persistence.User.Model.UserEntity", "User")
                        .WithMany("Wishes")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
